Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class RelationshipRoleSourceTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.RelationshipRoleSourceTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, RelationshipRoleSourceType<T>

    public class RelationshipRoleSourceTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, RelationshipRoleSourceType<T>

This class implements the `relationship-role-sourceType` xsd type

Original Documentation:

The relationship-role-sourceType designates the source of a
role that participates in a relationship. A
relationship-role-sourceType is used by
relationship-role-source elements to uniquely identify an
entity bean.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`RelationshipRoleSourceTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`RelationshipRoleSourceTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`RelationshipRoleSourceType<T>` | `removeAllDescription()` Removes the `description` element
`RelationshipRoleSourceType<T>` | `removeEjbName()` Removes the `ejb-name` element
`RelationshipRoleSourceType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`RelationshipRoleSourceType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`RelationshipRoleSourceType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationshipRoleSourceTypeImpl

    public RelationshipRoleSourceTypeImpl(T t,
                                          java.lang.String nodeName,
                                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### RelationshipRoleSourceTypeImpl

    public RelationshipRoleSourceTypeImpl(T t,
                                          java.lang.String nodeName,
                                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public RelationshipRoleSourceType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `RelationshipRoleSourceType<T>`
  Returns:
    the current instance of `RelationshipRoleSourceType`

### setDescriptionList

    public RelationshipRoleSourceType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `RelationshipRoleSourceType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `RelationshipRoleSourceType`

### removeAllDescription

    public RelationshipRoleSourceType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `RelationshipRoleSourceType<T>`
  Returns:
    the current instance of `RelationshipRoleSourceType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `RelationshipRoleSourceType<T>`
  Returns:
    list of `description`

### setEjbName

    public RelationshipRoleSourceType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `RelationshipRoleSourceType<T>`
  Returns:
    the current instance of `RelationshipRoleSourceType`

### removeEjbName

    public RelationshipRoleSourceType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `RelationshipRoleSourceType<T>`
  Returns:
    the current instance of `RelationshipRoleSourceType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `RelationshipRoleSourceType<T>`
  Returns:
    the node defined for the element `ejb-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD